Bug 504809 - Review Request: system-config-selinux - SELinux configuration GUI
Review Request: system-config-selinux - SELinux configuration GUI
Status: CLOSED DUPLICATE of bug 508922
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 504293
  Show dependency treegraph
 
Reported: 2009-06-09 10:58 EDT by Roman Rakus
Modified: 2014-01-12 19:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-21 12:53:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jreznik: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Roman Rakus 2009-06-09 10:58:44 EDT
Spec URL: https://fedoraproject.org/w/uploads/c/cd/System-config-selinux.spec
SRPM URL: https://fedoraproject.org/w/uploads/f/f5/System-config-selinux-2.0.62-13.fc12.src.rpm
Description:
system-config-selinux is meant to be replacement of policycoreutils-gui.
Comment 1 Jaroslav Reznik 2009-06-09 11:32:25 EDT
Quick overview before deeper review (I'll finish it later):
- version (2.0.62) and release (13) don't match changelog ones (1.0.0-1)
- inconsistent usage of %{buildroot} and $RPM_BUILD_ROOT - use only one
- use lowercase SPEC filename
- no %doc

RPMLint
rpmlint System-config-selinux.spec
System-config-selinux.spec: E: no-cleaning-of-buildroot %install
System-config-selinux.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 40, tab: line 1)
0 packages and 1 specfiles checked; 1 errors, 1 warnings.

rpmlint System-config-selinux-2.0.62-13.fc12.src.rpm
system-config-selinux.src: W: non-coherent-filename System-config-selinux-2.0.62-13.fc12.src.rpm system-config-selinux-2.0.62-13.fc12.src.rpm
Comment 2 Roman Rakus 2009-06-09 11:47:00 EDT
>Quick overview before deeper review (I'll finish it later):
>- version (2.0.62) and release (13) don't match changelog ones (1.0.0-1)
fixed
>- inconsistent usage of %{buildroot} and $RPM_BUILD_ROOT - use only one
used %{buildroot}
>- use lowercase SPEC filename
It is lowercase. Just uploaded file on fedoraproject.org/wiki starts with uppercase character. I don't know why. But finally it will be lowercase.
>- no %doc
It has not any doc

>RPMLint
>rpmlint System-config-selinux.spec
>System-config-selinux.spec: E: no-cleaning-of-buildroot %install
fixed
>System-config-selinux.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 40,
>tab: line 1)
fixed
>0 packages and 1 specfiles checked; 1 errors, 1 warnings.

>rpmlint System-config-selinux-2.0.62-13.fc12.src.rpm
>system-config-selinux.src: W: non-coherent-filename
>System-config-selinux-2.0.62-13.fc12.src.rpm
>system-config-selinux-2.0.62-13.fc12.src.rpm  
The same as above
Comment 3 Bill Nottingham 2009-06-09 13:35:51 EDT
1. ...
%install
make install DESTDIR=%{buildroot}
ln -sf consolehelper %{buildroot}%{_bindir}/system-config-selinux
...
desktop-file-install --vendor fedora \
 --dir %{buildroot}%{_datadir}/applications \
 %{SOURCE2}
rm -rf %{buildroot}

Having rm -rf %{buildroot} as the last line of install is almost certainly NOT what you want.

2. Spec references selinux-polgengui.desktop, not in the source RPM.

3. It uses consolehelper

4. How much of this is something we really need a GUI for?
Comment 4 Roman Rakus 2009-06-10 06:59:59 EDT
ad 1) fixed

ad 2) selinux-polgengui.desktop is in srpm

ad 3) Uses connsolhelper, like 99% of others. This is meant to be separate package, which I will take care of and fix many bugs including rework to use PolicyKit

ad 4) I don't know
Comment 5 Jaroslav Reznik 2009-06-10 07:28:20 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [!] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: builds in Koji
 [x] Rpmlint output: 

rpmlint system-config-selinux-2.0.62-13.fc10.noarch.rpm
system-config-selinux.noarch: W: no-documentation
- no doc
system-config-selinux.noarch: W: no-dependency-on usermode
system-config-selinux.noarch: W: no-dependency-on usermode
- depends on usermode-gtk, is it enough?

SRPM & SPEC clean
 
 [-] Package is not relocatable.
 [x] Buildroot is correct
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2+
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [!] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     - Can't get sources.
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Package does not contain any libtool archives (.la).
 [!] Package contains a properly installed %{name}.desktop file if it is a GUI
application.

=== SUGGESTED ITEMS ===
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in koji.
     - http://koji.fedoraproject.org/koji/taskinfo?taskID=1403234
 [x] Package should compile and build into binary rpms on all supported
architectures.
 [?] Package functions as described.
     - not tested yet, I'll check final one
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.

=== SUMMARY ===
- Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1403234
- Please publish tarball to default fedorahosted.org release directory
  (https://fedorahosted.org/releases/s/y/system-config-selinux)
- do not apply vendor tag in desktop-file-install 
  (http://fedoraproject.org/wiki/Packaging/Guidelines#desktop)
Comment 6 Daniel Walsh 2010-01-21 12:53:49 EST

*** This bug has been marked as a duplicate of bug 508922 ***

Note You need to log in before you can comment on or make changes to this bug.